<?php	
/*
	CMS ,,Black Min''  Został stworzony przez di_Timonix'a
	
	ten plik służy opsługi połączeń cms'a ładuje dane o stronie i je segreguje
	
	Black Min cms,
	
	#plik: 1.0
*/

	$polaczenie = @new mysqli($host, $db_user, $db_password, $db_name);
	
	if ($polaczenie->connect_errno!=0)
	{
		echo "Error: ".$polaczenie->connect_errno;
	}
	else
	{
	
		mysqli_query($polaczenie, "SET CHARSET utf8");
		mysqli_query($polaczenie, "SET NAMES 'utf8' COLLATE 'utf8_polish_ci'");		

		if ($rezultat = @$polaczenie->query(
		sprintf("SELECT * FROM `".$prefix_table."bm_data_posty` WHERE `status` NOT LIKE 'private' ORDER BY `visit` DESC LIMIT 5")
		 ));
		{
				
			$ile = mysqli_num_rows($rezultat);
			//echo $ile;
			
			if($ile != 0){
			

			for ($i = 1; $i <= $ile; $i++) 
			{
				$row = mysqli_fetch_assoc($rezultat);
				$id_post = $row['id'];
				$dodajacy_post = $row['dodajacy'];
				$tytul_post = $row['tytul'];
				$url_post = $row['url'];
				$kategoria_info_post = $row['kategoria'];
				$kategoria_post_post = $row['kategoria_post'];
				$status_post = $row['status'];
				$tagi_post = $row['tagi'];
				$datetime_post = $row['datetime'];
				$datetime_zmiany_post = $row['datetime_zmiany'];
				$visit_post = $row['visit'];
				$tresc_post= $row['tresc'];	
				
				
				//if($status_post != "private"){
					
echo<<<END
					<div class="tsr tsr-mt-20 tsr-border-groove1-all tsr-p-5px">
						<section class="fs-90">
							<section class="fs-60">
								Tytuł:   
								<span class="fs-130 tsr-za-wi">
									$tytul_post
								</span>
							</section>
							
							<section class="tsr fs-60 tsr-mt-10">
								Liczba odwiedzin:
							</section>
							<span class="tsr fs-80">
								$visit_post
							</span>
							<section class="tsr fs-50 tsr-mt-10 r-0 tsr-fr">
								<a href="$id_post/$url_post/">
									Pokaż więcej!
								</a>
							</section>
						</section>
					</div>
END;
					
				//}
			}
			}else{
echo<<<END
					<div class="tsr tsr-mt-20 tsr-border-groove1-all tsr-p-5px">
						<section class="fs-90">
							<section class="fs-60 tsr-za-wi>
								Brak danych... 
							</section>
						</section>
					</div>
END;
			}
			
		};	
						
		$polaczenie->close();
	}		
		
?>